Version 1.26.0
Third Party API (v 1.26.0)
What's Changed
GET /api/business/{businessId}/branch/{branchId}/break/{breakId}
GET /api/business/{businessId}/branch/{branchId}/break/{breakId}Return Type:
Changed response : 200 OK
Specified break retrieved
-
Changed content type :
application/json-
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)
-
PUT /api/business/{businessId}/branch/{branchId}/break/{breakId}
PUT /api/business/{businessId}/branch/{branchId}/break/{breakId}Request:
Changed content type : application/json
-
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)
Return Type:
Changed response : 200 OK
Break updated successfully
-
Changed content type :
application/json-
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)
-
GET /api/business/{businessId}/clientcourse/{clientCourseId}
GET /api/business/{businessId}/clientcourse/{clientCourseId}Return Type:
Changed response : 200 OK
Specified client course retrieved
-
Changed content type :
application/json- Changed property
purchaseDate(string -> string)
- Changed property
PUT /api/business/{businessId}/clientcourse/{clientCourseId}
PUT /api/business/{businessId}/clientcourse/{clientCourseId}Request:
Changed content type : application/json
- Changed property
purchaseDate(string -> string)
Return Type:
Changed response : 200 OK
Client course updated successfully
-
Changed content type :
application/json- Changed property
purchaseDate(string -> string)
- Changed property
GET /api/business/{businessId}/branch/{branchId}/appointment/{appointmentId}
GET /api/business/{businessId}/branch/{branchId}/appointment/{appointmentId}Return Type:
Changed response : 200 OK
Specified appointment retrieved
-
Changed content type :
application/json-
Changed property
appointmentDate(string -> string) -
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)If the staff/service is changed then the duration is calculated from the new staff/service and endTime is ignored. Otherwise the endTime given is used.
-
PUT /api/business/{businessId}/branch/{branchId}/appointment/{appointmentId}
PUT /api/business/{businessId}/branch/{branchId}/appointment/{appointmentId}Request:
Changed content type : application/json
-
Changed property
appointmentDate(string -> string) -
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)If the staff/service is changed then the duration is calculated from the new staff/service and endTime is ignored. Otherwise the endTime given is used.
Return Type:
Changed response : 200 OK
Appointment updated successfully
-
Changed content type :
application/json-
Changed property
appointmentDate(string -> string) -
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)If the staff/service is changed then the duration is calculated from the new staff/service and endTime is ignored. Otherwise the endTime given is used.
-
POST /api/business/{businessId}/branch/{branchId}/break
POST /api/business/{businessId}/branch/{branchId}/breakRequest:
Changed content type : application/json
-
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)
Return Type:
Changed response : 201 Created
Break created successfully
-
Changed content type :
application/json-
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)
-
GET /api/business/{businessId}/branch/{branchId}/break
GET /api/business/{businessId}/branch/{branchId}/breakReturn Type:
Changed response : 200 OK
Breaks listed
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
breaks(array)Changed items (object):
-
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)
-
-
-
POST /api/business/{businessId}/branch/{branchId}/appointment/{appointmentId}/checkin
POST /api/business/{businessId}/branch/{branchId}/appointment/{appointmentId}/checkinReturn Type:
Changed response : 200 OK
Appointment checked in successfully
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
appointments(array)Changed items (object):
-
Changed property
appointmentDate(string -> string) -
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)If the staff/service is changed then the duration is calculated from the new staff/service and endTime is ignored. Otherwise the endTime given is used.
-
-
-
POST /api/business/{businessId}/branch/{branchId}/appointment/confirm
POST /api/business/{businessId}/branch/{branchId}/appointment/confirmReturn Type:
Changed response : 200 OK
Appointments confirmed successfully
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
appointments(array)Changed items (object):
-
Changed property
appointmentDate(string -> string) -
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)If the staff/service is changed then the duration is calculated from the new staff/service and endTime is ignored. Otherwise the endTime given is used.
-
-
-
GET /api/business/{businessId}/clientcourse
GET /api/business/{businessId}/clientcourseReturn Type:
Changed response : 200 OK
Client courses listed
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
clientCourses(array)Changed items (object):
- Changed property
purchaseDate(string -> string)
- Changed property
-
-
GET /api/business/{businessId}/branch/{branchId}/appointment
GET /api/business/{businessId}/branch/{branchId}/appointmentReturn Type:
Changed response : 200 OK
Appointments listed
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
appointments(array)Changed items (object):
-
Changed property
appointmentDate(string -> string) -
Changed property
startTime(object -> string) -
Changed property
endTime(object -> string)If the staff/service is changed then the duration is calculated from the new staff/service and endTime is ignored. Otherwise the endTime given is used.
-
-
-
GET /api/business/{businessId}/branch/{branchId}/worktimetable
GET /api/business/{businessId}/branch/{branchId}/worktimetableReturn Type:
Changed response : 200 OK
Specified timetable retrieved
-
Changed content type :
application/json-
Changed property
timeSlots(array)Changed items (object):
- Changed property
startTime(object)
- Changed property
-
GET /api/business/{businessId}/branch/{branchId}/staff/worktimetable
GET /api/business/{businessId}/branch/{branchId}/staff/worktimetableReturn Type:
Changed response : 200 OK
Staff timetables listed
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
workTimeTables(array)Changed items (object):
-
Changed property
timeSlots(array)Changed items (object):
- Changed property
startTime(object)
- Changed property
-
-
-
GET /api/business/{businessId}/branch/{branchId}/service-special-offer
GET /api/business/{businessId}/branch/{branchId}/service-special-offerReturn Type:
Changed response : 200 OK
Service special offers listed
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
serviceGroups(array)Changed items (object):
-
Changed property
availablePeriods(array)Changed items (object):
- Changed property
startTime(object)
- Changed property
-
-
-
GET /api/business/{businessId}/branch/{branchId}/package
GET /api/business/{businessId}/branch/{branchId}/packageReturn Type:
Changed response : 200 OK
Service packages listed
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
serviceGroups(array)Changed items (object):
-
Changed property
availablePeriods(array)Changed items (object):
- Changed property
startTime(object)
- Changed property
-
-
-
Result
API changes broke backward compatibility